Jump to main content

# Creating Data Fields

Data fields define the places on the form where data will be entered or printed. They have two sets of properties. The Object properties define the physical appearance of the field. The Field properties define the data that goes there.

## Activating data fields

To create data fields on your form, data fields must be activated. If they are not, the data field tool will be grayed out. When data fields are activated, the on the Activate tool bar looks like it is pushed in:

Tool bar with inactive data field button | Tool bar with active data field button

If your button is not pushed in, you will need to activate data fields before you can use the data field tool.

To activate data fields

Click on the on the Activate tool bar. The button will remain pushed in and your data field tool will be activated.

or

1. Open the View menu and select Activate.

2. Select Fields from the Activate menu.

## Creating a data field

When you create a data field, you first draw the field. This defines the physical space on the page. Then you enter the data ID, field description, and number of characters and lines. This information is used by the application to determine what data goes into the field and how many lines and characters the user can actually enter.

The data ID assigned to the data field tells the program which data value goes there. The field description tells it what the data field is used for. The description can be anything you want. Your company may have specific naming conventions for data fields. If it does not, you can use any short descriptive name of your choice.

To create a data field

1. Click the button on the tool bar, or press + on the keyboard. The mouse pointer will change to .

2. Place the + of the mouse pointer at the place where you want to begin your data field.

3. Hold the left mouse button down and drag the mouse to draw the data field:

To create a square data field, press while you draw the field.

4. When the data field is the size you want, release the mouse button:

5. After you draw your field, you should see three tabs in the property pane. Click on the Field tab and do the following:

- Click on the Data ID value field and replace the default data ID with the ID you want to use.

- Press to move to the Description value field. The data ID will appear in the data field.

- Enter a short field description in the Description value field.

- Press to move to the Number of Characters value field. The description will appear in the data field.

- Enter the number of characters you want to allow per line in the Number of Characters value field.

- Press again to move to the Number of Lines value field. The description in the data field will be padded with x’s to show the number of characters allowed:

102:Borrower_Addressxxxxxxxxxxxxxxxxx

- Enter the number of lines you want to allow in the Number of Lines value field.

- Press . The number of lines displayed in the data field will change to the number of lines you specified:

102:Borrower_Addressxxxxxxxxxxxxxxxxx

102:Borrower_Addressxxxxxxxxxxxxxxxxx

Note:

Once a data field on a form has been assigned an ID number, all additional data fields that are added to that page will automatically be assigned the next number in sequence as the default.

Note:

If the same data appears in more than one data field, you can give both fields the same data ID. Then, when the end user enters data in one field, it will automatically be placed in the other as well.

Reminder:

Don’t forget that you must enable long data IDs in order to use them in forms. Long data IDs are not available in 5.1 compatibility mode.

## Field size vs. data length

Data values have a character length and line limit. The number of lines you define for the field determines the number of lines of data that can be entered. The number of characters defines the number of characters that can be entered on each line.

Data fields also have a physical field size. The number of characters and lines you define for your field does not change the size of the physical field you draw. When the form is retrieved in an application, only the characters that fit in the physical field will be displayed or printed, even if the data field allows more. You may need to adjust the physical field size to make sure all your characters can be displayed.

If all your characters or all your lines do not fit in your field, the field will be filled with ****’s In I-32 Forms Design. If the field is large enough, the lines may wrap instead.

To resize your field

1. Click on the data field to select it.

2. Place your mouse pointer on one of the corner sizing handles. The pointer will change to :

3. Hold your mouse button down and drag the corner to adjust the size. If you do not see ***’s and your lines do not wrap, your field is large enough.

## Changing character spacing for data fields

You can change the appearance of the data field text by applying different character spacing. You can adjust the distance equally between characters or set different spacing between individual characters if necessary. The character spacing feature allows you to use a single field for values that have predefined boxes for each character, such as social security numbers and fields for dollar amounts:

or fields that are divided into multiple parts, such as a date field with the separators present in the field:

You can also use it for standard fields to ensure that a column of numbers will line up exactly, force proportional fonts into fixed spacing, or “tighten” the spacing to ensure that the value will fit in a field.

Note:

Character Spacing is a 6.0 feature and is not available in 5.1 compatibility mode.

Fixed Spacing

Fixed spacing places an equal amount of space between characters. It can be used to fill out evenly spaced boxes:

or simply to put more space between characters.

To apply fixed spacing

1. Select the data field that you want to change the character spacing for.

2. Select the Field tab and click on the Character Spacing value field to activate the .

3. Click the to open the list box and select Fixed:

4. Enter the amount of space you want between the individual characters in the field.

Variable Spacing

You can customize the spaces between individual characters with the Variable spacing feature. When you apply variable spacing, you must specify the direction in which the character spacing will be applied. For right-aligned data fields (fields that are filled from right to left), select Right to Left. For left-aligned fields (fields that are filled from left to right), select Left to Right.

To apply variable spacing

1. Select the data field that you want to change the character spacing for.

2. On the Field tab, click on the Character Spacing value field to activate the .

3. Click the and select Variable from the list.

4. Select the direction in which you want to apply your spacing: Left to Right or Right to Left:

5. Enter the amount of space you want between each of the characters:

- If you select Left to Right, character 1 is the first character on the left. Your spacing will be applied starting from the left side:

- If you select Right to Left, character 1 is the first character on the right. Your spacing will be applied starting from the right side:

Important:

If you change the direction of your spacing after you apply the individual spacing values, the values will be reapplied in the new direction.

To return spacing to normal

1. Click on the Character Spacing value field to activate the .

2. Select Normal from the drop-down list.

Note:

If you change your character spacing, you may need to readjust the size of the data field to fit the characters.